- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# dir handler
[utilities]

## Defines
#define | AXIS2_AAR_SUFFIX ".aar"
#define | AXIS2_MAR_SUFFIX ".mar"
## Functions
AXIS2_EXTERN axutil_array_list_t * | axutil_dir_handler_list_services_or_modules_in_dir (const axutil_env_t *env, const axis2_char_t *pathname)
AXIS2_EXTERN axutil_array_list_t * | axutil_dir_handler_list_service_or_module_dirs (const axutil_env_t *env, const axis2_char_t *pathname)

## Function Documentation

AXIS2_EXTERN axutil_array_list_t* axutil_dir_handler_list_service_or_module_dirs | ( | const axutil_env_t * | env,
|  | const axis2_char_t * | pathname |
| ) |  |  |

List services or modules directories in the services or modules folder respectively

Parameters:

  | pathname | path your modules or services folder

Returns:
  array list of contents of services or modules folder

AXIS2_EXTERN axutil_array_list_t* axutil_dir_handler_list_services_or_modules_in_dir | ( | const axutil_env_t * | env,
|  | const axis2_char_t * | pathname |
| ) |  |  |

List the dll files in the given service or module folder path

Parameters:

  | pathname | path to your service or module directory

Returns:
  array list of dll file names